controllers/homeless_resource.py
from flask import Blueprint, render_template, request, abort, flash

import services.homeless_service as homeless_service
from configuration.loggin_configuration import logger
from parser.homeless_parse import request_parse, parse_response

homeless_controller = Blueprint("homeless_controller", __name__)


@homeless_controller.route("/create", methods=["GET"])
def create():
    return render_template("homeless/create.html", name="register")


@homeless_controller.route("/register", methods=["POST"])
def register():
    try:
        homeless = request_parse(request)

        result = homeless_service.create_homeless(homeless)

        if result.status_code == 201:
            flash('Cadastro realizado com sucesso!')
            return render_template("homeless/create.html")

        abort(result.status_code)

    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)


@homeless_controller.route("/")
def index():
    try:
        homeless = [parse_response(item) for item in homeless_service.find_all_homeless().json()["homeless"]]
        return render_template("homeless/index.html", homeless=homeless, title="Quero ser encontrado", name="homeless")
    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)

templates/homeless/create.html
{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header card-header-info">
                    <h4 class="card-title"><b>Quero ser encontrado</b></h4>
                    <p class="card-title"><b>Todos os campos que possuem (*) são requeridos para o cadastro</b></p>
                </div>
                <div class="card-body">
                    <form action="{{ url_for('homeless_controller.register') }}" method="post"
                          enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <div class="btn btn-info">
                                        <label for="input-file" class="button" style="color: white">
                                            <i class="material-icons">camera_alt</i> Foto</label>
                                        <input type="file" required="required" id="input-file" name="file" value=""/>
                                        <span id='file-name'></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nome *</label>
                                    <input type="text" required="required" name="name" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Apelido</label>
                                    <input type="text" name="nickname" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nascimento *</label>
                                    <input type="text" required="required" data-mask="00/00/0000"
                                           data-mask-selectonfocus="true" name="birth_date" class="form-control date">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Pele *</label>
                                    <select name="skin" class="form-control">
                                        <option value="white">Branco</option>
                                        <option value="black">Negro</option>
                                        <option value="brown">Pardo</option>
                                        <option value="yellow">Amarelo</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Cabelo *</label>
                                    <select name="hair" class="form-control">
                                        <option value="black">Preto</option>
                                        <option value="brown">Castanho</option>
                                        <option value="redhead">Ruivo</option>
                                        <option value="blond">Loiro</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Olhos *</label>
                                    <select name="eyes" class="form-control">
                                        <option value="green">Verde</option>
                                        <option value="blue">Azul</option>
                                        <option value="brown">Castanho</option>
                                        <option value="black">Pretos</option>
                                        <option value="dark_brown">Castanho Escuro</option>
                                    </select>
                                    <!--<input type="text" name="nickname" class="form-control">-->
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Sexo *</label>
                                    <select name="gender" class="form-control">
                                        <option value="male">Masculino</option>
                                        <option value="female">Feminino</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                {% include "mapbox.html" %}
                            </div>
                        </div>
                        <button type="submit" class="btn btn-info pull-right">Enviar</button>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            document.getElementById("input-file").required = true;
            var $input = document.getElementById('input-file'),
                $fileName = document.getElementById('file-name');
            $input.addEventListener('change', function () {
                $fileName.textContent = this.value;
            });

            $('.date').blur(function () {
                if (this.value.trim() != '') {
                    let val = this.value.split('/');
                    let date = new Date(val[2], parseInt(val[1]) - 1, val[0]);
                    let today = new Date();
                    if (date > today) {
                        demo.showNotification('top', 'right', 'A data que foi informada está acima da data de hoje', 2);
                        this.value = "";
                        this.focus();
                    }
                }
            });
        });
    </script>
{% endblock %}

templates/homeless/index.html
{% extends "base.html" %}
{% block content %}
<div class="row">
    {% for h in homeless %}

    {% include "homeless/cards/complete.html" %}

    {% endfor %}
</div>
{% endblock %}